<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::TcpHeader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../df/de7/classThread_1_1Ip6_1_1TcpHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::TcpHeader Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d1/d79/group__core-tcp.html">TCP</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements TCP header parsing.  
 <a href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d3/d23/tcp_8hpp_source.html">src/core/net/tcp.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Ip6::TcpHeader:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d54/classThread_1_1Ip6_1_1TcpHeader__inherit__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1TcpHeader_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Ip6_1_1TcpHeader_inherit__map" id="Thread_1_1Ip6_1_1TcpHeader_inherit__map">
<area shape="rect" id="node2" href="../../d3/d52/structThread_1_1Ip6_1_1TcpHeaderPoD.html" title="Thread::Ip6::TcpHeaderPoD" alt="" coords="5,5,193,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Ip6::TcpHeader:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d5d/classThread_1_1Ip6_1_1TcpHeader__coll__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1TcpHeader_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Ip6_1_1TcpHeader_coll__map" id="Thread_1_1Ip6_1_1TcpHeader_coll__map">
<area shape="rect" id="node2" href="../../d3/d52/structThread_1_1Ip6_1_1TcpHeaderPoD.html" title="Thread::Ip6::TcpHeaderPoD" alt="" coords="5,5,193,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8c667f07ce277c5bea038be3846c8a8a"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#a8c667f07ce277c5bea038be3846c8a8a">GetSourcePort</a> (void) const </td></tr>
<tr class="memdesc:a8c667f07ce277c5bea038be3846c8a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Source Port.  <a href="#a8c667f07ce277c5bea038be3846c8a8a">More...</a><br /></td></tr>
<tr class="separator:a8c667f07ce277c5bea038be3846c8a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a88450a820a5315654ba1953a574797"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#a5a88450a820a5315654ba1953a574797">GetDestinationPort</a> (void) const </td></tr>
<tr class="memdesc:a5a88450a820a5315654ba1953a574797"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Destination Port.  <a href="#a5a88450a820a5315654ba1953a574797">More...</a><br /></td></tr>
<tr class="separator:a5a88450a820a5315654ba1953a574797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f179f861d986b74e97b1ef2ce717de3"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#a4f179f861d986b74e97b1ef2ce717de3">GetSequenceNumber</a> (void) const </td></tr>
<tr class="memdesc:a4f179f861d986b74e97b1ef2ce717de3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Sequence Number.  <a href="#a4f179f861d986b74e97b1ef2ce717de3">More...</a><br /></td></tr>
<tr class="separator:a4f179f861d986b74e97b1ef2ce717de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0c0b1819b22b96d3765bccbf854489b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#ae0c0b1819b22b96d3765bccbf854489b">GetAcknowledgmentNumber</a> (void) const </td></tr>
<tr class="memdesc:ae0c0b1819b22b96d3765bccbf854489b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Acknowledgment Sequence Number.  <a href="#ae0c0b1819b22b96d3765bccbf854489b">More...</a><br /></td></tr>
<tr class="separator:ae0c0b1819b22b96d3765bccbf854489b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6f5b5a25893a753333f6c900995a383"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#ab6f5b5a25893a753333f6c900995a383">GetFlags</a> (void) const </td></tr>
<tr class="memdesc:ab6f5b5a25893a753333f6c900995a383"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Flags.  <a href="#ab6f5b5a25893a753333f6c900995a383">More...</a><br /></td></tr>
<tr class="separator:ab6f5b5a25893a753333f6c900995a383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb706ccc7949a086fe3b90632df25df"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#a8bb706ccc7949a086fe3b90632df25df">GetWindow</a> (void) const </td></tr>
<tr class="memdesc:a8bb706ccc7949a086fe3b90632df25df"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Window.  <a href="#a8bb706ccc7949a086fe3b90632df25df">More...</a><br /></td></tr>
<tr class="separator:a8bb706ccc7949a086fe3b90632df25df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a485c4134746e74e8a05bd9a25df011a2"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#a485c4134746e74e8a05bd9a25df011a2">GetChecksum</a> (void) const </td></tr>
<tr class="memdesc:a485c4134746e74e8a05bd9a25df011a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Checksum.  <a href="#a485c4134746e74e8a05bd9a25df011a2">More...</a><br /></td></tr>
<tr class="separator:a485c4134746e74e8a05bd9a25df011a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1807e515e7e8371dcb15938f84c0911"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#ae1807e515e7e8371dcb15938f84c0911">GetUrgentPointer</a> (void) const </td></tr>
<tr class="memdesc:ae1807e515e7e8371dcb15938f84c0911"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the TCP Urgent Pointer.  <a href="#ae1807e515e7e8371dcb15938f84c0911">More...</a><br /></td></tr>
<tr class="separator:ae1807e515e7e8371dcb15938f84c0911"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements TCP header parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ae0c0b1819b22b96d3765bccbf854489b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t Thread::Ip6::TcpHeader::GetAcknowledgmentNumber </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Acknowledgment Sequence Number. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Acknowledgment Sequence Number. </dd></dl>

</div>
</div>
<a class="anchor" id="a485c4134746e74e8a05bd9a25df011a2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::TcpHeader::GetChecksum </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Checksum. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Checksum. </dd></dl>

</div>
</div>
<a class="anchor" id="a5a88450a820a5315654ba1953a574797"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::TcpHeader::GetDestinationPort </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Destination Port. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Destination Port. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader_a5a88450a820a5315654ba1953a574797_icgraph.png" border="0" usemap="#d1/d1f/classThread_1_1Ip6_1_1TcpHeader_a5a88450a820a5315654ba1953a574797_icgraph" alt=""/></div>
<map name="d1/d1f/classThread_1_1Ip6_1_1TcpHeader_a5a88450a820a5315654ba1953a574797_icgraph" id="d1/d1f/classThread_1_1Ip6_1_1TcpHeader_a5a88450a820a5315654ba1953a574797_icgraph">
<area shape="rect" id="node2" href="../../d2/df2/group__core-ipv6.html#gae28a5d11156eb8eca60f8145a52d335a" title="This method indicates whether or not the IPv6 datagram passes the filter. " alt="" coords="215,33,341,72"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="389,33,559,72"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="607,40,787,65"/>
<area shape="rect" id="node5" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="835,5,1009,44"/>
<area shape="rect" id="node6" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="880,68,964,93"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1057,61,1212,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab6f5b5a25893a753333f6c900995a383"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::TcpHeader::GetFlags </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Flags. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Flags. </dd></dl>

</div>
</div>
<a class="anchor" id="a4f179f861d986b74e97b1ef2ce717de3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t Thread::Ip6::TcpHeader::GetSequenceNumber </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Sequence Number. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Sequence Number. </dd></dl>

</div>
</div>
<a class="anchor" id="a8c667f07ce277c5bea038be3846c8a8a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::TcpHeader::GetSourcePort </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Source Port. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Source Port. </dd></dl>

</div>
</div>
<a class="anchor" id="ae1807e515e7e8371dcb15938f84c0911"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::TcpHeader::GetUrgentPointer </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Urgent Pointer. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Urgent Pointer. </dd></dl>

</div>
</div>
<a class="anchor" id="a8bb706ccc7949a086fe3b90632df25df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::TcpHeader::GetWindow </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the TCP Window. </p>
<dl class="section return"><dt>Returns</dt><dd>The TCP Window. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../d3/d23/tcp_8hpp_source.html">tcp.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html">TcpHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
